import Foundation

extension PathSettings {

    static var `default`: PathSettings {
        .init(file: .default)
    }
}

extension PostSettings {

    static var `default`: PostSettings {
        .init(file: .default, files: [:])
    }
}

extension PageSettings {

    static var `default`: PageSettings {
        .init(file: .default, files: [:])
    }
}

extension LocalizedPostSettings {

    static var german: LocalizedPostSettings {
        .init(
            title: "Titel",
            description: "Beschreibung",
            feedUrlPrefix: "blog")
    }

    static var english: LocalizedPostSettings {
        .init(
            title: "A Title",
            description: "Description",
            feedUrlPrefix: "feed")
    }
}
